import greenfoot.*;

/**
 * Nothing to see here, move along.
 * 
 * @author Diljot Garcha
 * @version 1.0
 */
public class Dummy extends Actor
{
    //Instance variables
    private Dummy myDummy;
    private String konStr;
    
    /**
     * Constructor for objects of class Dummy.
     */
    public Dummy()
    {
        myDummy = this; //Initialize the myDummy object
        konStr = ""; //Initialize the konStr String
    }
    
    /**
     * Act - do whatever the Dummy wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        //Get the current key
        String currentKey = Greenfoot.getKey();
        //Compare the string literal and the currentKey variable, this is to avoid the NullPointerException.
        if("up".equals(currentKey) && konStr.length()<2)
        {
            konStr += "u";
        }
        else if("down".equals(currentKey) && konStr.length()>1 && konStr.length()<4)
        {
            konStr += "d";
        }
        else if("left".equals(currentKey) && (konStr.length()==4 || konStr.length()==6))
        {
            konStr += "l";
        }
        else if("right".equals(currentKey) && (konStr.length()==5 || konStr.length()==7))
        {
            konStr += "r";
        }
        else if("b".equals(currentKey) && konStr.length()==8)
        {
            konStr += "b";
        }
        else if("a".equals(currentKey) && konStr.length()==9)
        {
            konStr += "a";
        }
        //Make konStr empty if the user messes up the pattern
        if((!("up".equals(currentKey)) && !("down".equals(currentKey)) && !("left".equals(currentKey)) && !("right".equals(currentKey)) && !("b".equals(currentKey)) && !("a".equals(currentKey))) && currentKey != null)
        {
            konStr = "";
        }
        if(konStr.equals("uuddlrlrba"))
        {
            //If the user enters the pattern correctly, then reward them!
            if(Playground.world.getObjects(RandomButton.class).size() == 0)
            {
                Playground.world.addObject(new RandomButton(), 22, 18);
                Playground.world.removeObject(myDummy);
            }
        }
    }    
}
