import greenfoot.*;

/**
 * A button that stops the game.
 * 
 * @author Diljot Garcha
 * @version 1.0
 */
public class QuitButton extends Buttons
{
    /**
     * Act - do whatever the StopButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        //Check if the user has clicked the button.
        //Additionally make sure it is safe to click buttons.
        if(Greenfoot.mouseClicked(this) &&  Playground.myGame.isButtonSafe())
        {
            Playground.myGame.stopGame(); //Stop the game!
        }
    }    
}
