import greenfoot.*;

/**
 * The rock button.
 * 
 * @author Diljot Garcha
 * @version 1.1
 * @since 2015-05-11
 */
public class RockButton extends Buttons
{
    /**
     * Act - do whatever the rockButton wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public void act() 
    {
        //Check if the user has clicked the button, or pressed the right key.
        //Additionally make sure it is safe to click buttons.
        if((Greenfoot.mouseClicked(this) || Greenfoot.isKeyDown("1")) && Playground.myGame.isButtonSafe())
        {
            Playground.myGame.startGame(Playground.ROCK); //Start the game with ROCK!
        }
    }    
}